﻿<?xml version="1.0" encoding="utf-8" ?>
<local:OnBoardingXaml
    x:Class="Prescription.View.OnBoarding"
    xmlns="http://xamarin.com/schemas/2014/forms"
    xmlns:x="http://schemas.microsoft.com/winfx/2009/xaml"
    xmlns:cards="clr-namespace:PanCardView;assembly=PanCardView"
    xmlns:local="clr-namespace:Prescription.View"
    xmlns:resources="clr-namespace:PrescriptionApp.Helper.Resources" 
    xmlns:yummy="clr-namespace:Xamarin.Forms.PancakeView;assembly=Xamarin.Forms.PancakeView"
    NavigationPage.HasNavigationBar="False" BackgroundColor="White">
    <ContentPage.Content>
        <Grid Padding="0,20,0,20" RowDefinitions="auto,auto,auto,auto">
            <Label
                Grid.Row="0"
                Margin="30,0,0,0"
                FontSize="15"
                HorizontalOptions="Start"
                Text="{Binding Skip}"
                TextColor="{x:Static resources:Colors.purpal50}">
                <Label.GestureRecognizers>
                    <TapGestureRecognizer Command="{Binding LabeNavigation}" />
                </Label.GestureRecognizers>
            </Label>
            <cards:CarouselView
                Grid.Row="1"
                Padding="30"
                IndicatorView="indicatorView"
                IsCyclical="False"
                IsHorizontalOrientation="True"
                IsPanSwipeEnabled="False"
                IsUserInteractionEnabled="False"
                IsVerticalSwipeEnabled="False"
                ItemsSource="{Binding OnBoardingsData}"
                SelectedIndex="{Binding CurrentIndex}">
                <cards:CarouselView.ItemTemplate>
                    <DataTemplate>
                        <Grid Padding="0" RowDefinitions="auto,auto,auto">

                            <Image
                                Grid.Row="0"
                                Margin="0"
                                Source="{Binding CarosuelImage}" />

                            <Label
                                Grid.Row="1"
                                Margin="0,0,0,0"
                                Padding="0"
                                FontSize="27"
                                HorizontalOptions="Center"
                                HorizontalTextAlignment="Center"
                                TextColor="{x:Static resources:Colors.Black}"
                                Text="{Binding CarosuelTitle}" />

                            <Label
                                Grid.Row="2"
                                Margin="0,20,0,0"
                                Padding="0"
                                FontSize="18"
                                HorizontalOptions="Center"
                                HorizontalTextAlignment="Center"
                                TextColor="{x:Static resources:Colors.DimGray}"
                                Text="{Binding CarosuelDescription}" />
                        </Grid>
                    </DataTemplate>
                </cards:CarouselView.ItemTemplate>
            </cards:CarouselView>
            <IndicatorView
                x:Name="indicatorView"
                Grid.Row="2"
                Margin="0,0,0,50"
                HorizontalOptions="Center"
                IndicatorColor="Black"
                SelectedIndicatorColor="{x:Static resources:Colors.pupal9b}">
                <IndicatorView.IndicatorTemplate>
                    <DataTemplate>
                        <BoxView
                            CornerRadius="30"
                            HeightRequest="10"
                            WidthRequest="10">
                            <BoxView.Triggers>
                                <Trigger TargetType="BoxView" Property="BackgroundColor" Value="{x:Static resources:Colors.pupal9b}">
                                    <Setter Property="WidthRequest" Value="30" />
                                </Trigger>
                            </BoxView.Triggers>
                        </BoxView>
                    </DataTemplate>
                </IndicatorView.IndicatorTemplate>
            </IndicatorView>
            <yummy:PancakeView
                Grid.Row="3"
                CornerRadius="30,0,30,0"
                 BackgroundColor="{x:Static resources:Colors.purpal50}"
                HorizontalOptions="End">
                <Grid Padding="0,0,0,0" ColumnDefinitions="auto,auto">
                    <ImageButton
                        Grid.Column="1"
                        Margin="0,0,10,0"
                        Command="{Binding button}"
                        HeightRequest="30"
                        BackgroundColor="{x:Static resources:Colors.purpal50}"
                        HorizontalOptions="Start"
                        Source="right_arrow" />
                    <Button
                        Grid.Column="0"
                        Margin="0,0,0,0"
                        BackgroundColor="{x:Static resources:Colors.purpal50}"
                        Command="{Binding button}"
                        HeightRequest="90"
                        HorizontalOptions="Start"
                        Text="{Binding ButtonName}"
                        TextColor="white"
                        WidthRequest="140" />
                </Grid>
            </yummy:PancakeView>
        </Grid>




    </ContentPage.Content>
</local:OnBoardingXaml>